> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Event log for a conflict



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml get /context-documents/conflicts/{conflict_id}/history
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /context-documents/conflicts/{conflict_id}/history:
    get:
      tags:
        - Context Documents
      summary: Event log for a conflict
      operationId: >-
        get_conflict_history_context_documents_conflicts__conflict_id__history_get
      parameters:
        - name: conflict_id
          in: path
          required: true
          schema:
            type: integer
            title: Conflict Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConflictEventResponse'
                title: >-
                  Response Get Conflict History Context Documents Conflicts 
                  Conflict Id  History Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
components:
  schemas:
    ConflictEventResponse:
      properties:
        id:
          type: integer
          title: Id
        actor_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor User Id
        action:
          type: string
          title: Action
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - actor_user_id
        - action
        - note
        - created_at
      title: ConflictEventResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````